Package org.eclipse.wst.xsl.core.model

## org.eclipse.wst.xsl.core.model
Class Function

    public class Function
    extends org.eclipse.wst.xsl.core.model.XSLElement

## Field Summary

`package-private java.util.List` | `parameters`
`package-private java.util.List` | `variables`

## Constructor Summary

`Function(org.eclipse.wst.xsl.core.model.Stylesheet stylesheet)`

## Method Summary

`public void` | `addParameter(org.eclipse.wst.xsl.core.model.Parameter parameter)` Add a parameter to this.
`public void` | `addVariable(org.eclipse.wst.xsl.core.model.Variable var)` Add a variable to this.
`public java.lang.String` | `getAsValue()`
`public org.eclipse.wst.xsl.core.model.XSLModelObject.Type` | `getModelType()`
`public java.lang.String` | `getName()` Get the value of the `name` attribute if one exists.
`public java.lang.String` | `getOverRideValue()`
`public java.util.List` | `getParameters()` Return the parameters defined in this function.
`public java.util.List` | `getVariables()` Return the variables defined in this function.

## Field Detail

## parameters

`package-private java.util.List parameters`

## variables

`package-private java.util.List variables`

## Constructor Detail

## Function

`public Function(org.eclipse.wst.xsl.core.model.Stylesheet stylesheet)`

## Methods Detail

## addParameter

`public void addParameter(org.eclipse.wst.xsl.core.model.Parameter parameter)`

Add a parameter to this.

### Parameters

`parameter` - the parameter to add

## addVariable

`public void addVariable(org.eclipse.wst.xsl.core.model.Variable var)`

Add a variable to this.

### Parameters

`var` - the variable to add

## getAsValue

`public java.lang.String getAsValue()`

### Returns

`java.lang.String`

## getModelType

`public org.eclipse.wst.xsl.core.model.XSLModelObject.Type getModelType()`

### Returns

`org.eclipse.wst.xsl.core.model.XSLModelObject.Type`

## getName

`public java.lang.String getName()`

Get the value of the `name` attribute if one exists.

### Returns

`java.lang.String` - the function name, or null

## getOverRideValue

`public java.lang.String getOverRideValue()`

### Returns

`java.lang.String`

## getParameters

`public java.util.List getParameters()`

Return the parameters defined in this function.

### Returns

`java.util.List`

## getVariables

`public java.util.List getVariables()`

Return the variables defined in this function.

### Returns

`java.util.List`